#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: klickety
Summary: An adaptation of the Clickomania game
Group: Games/Boards 
URL: http://www.kde.org/applications/games/ksame/
Version: 16.12.3
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: libkdegames-devel


BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kconfig-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel
BuildRequires: kdoctools-devel
BuildRequires: knotifyconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: knotifications-devel


Obsoletes: ksame < 1:4.5.74
Recommends: klickety-handbook

%description
Klickety is an adaptation of the Clickomania game.
The rules are similar to those of the Same game: your goal is to clear
the board by clicking on groups to destroy them.

%files
%_kf5_bindir/klickety
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/klickety
%_kf5_datadir/kconf_update/*
%_kf5_iconsdir/*/*/apps/klickety.*
%_kf5_iconsdir/*/*/apps/ksame.*
%_kf5_datadir/kxmlgui5/klickety
%_kf5_datadir/sounds/klickety

#------------------------------------------------------------------------------

%package -n klickety-handbook
Summary: klickety handbook
Conflicts: klickety < 1:4.7.1-2
Requires:  klickety >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n klickety-handbook
This package provides the klickety handbook.

%files -n klickety-handbook
%_kf5_docdir/HTML/en/klickety

#------------------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090082
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076822
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072026
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067345
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061404
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050670
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047310
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040071
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012557
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004347
- New version 16.04.0

* Tue Mar 29 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 996385
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991193
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987462
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922631
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 912014
- New version 15.12.0

* Sat Nov 28 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 906899
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901033
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880870
- New version 15.08.1

* Tue Sep 01 2015 sander85 <sander85> 1:15.08.0-1.mga6
+ Revision: 872085
- Fix BRs

  + neoclust <neoclust>
    - New version 15.08.0

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800611
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787697
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 749275
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734559
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681108
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667496
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663008
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656686
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653872
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651978
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636746
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625513
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615590
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609406
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606847
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603354
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600689
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590475
- New version 4.12.2
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555006
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551274
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540179
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490757
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476847
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465195
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458924
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455310
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447960
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435319
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428431
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407242
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401893
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394413
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339499
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334574
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326776
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319327
- imported package klickety

